App\Library\Amazon\Classes\Home\ProductTypeAType\HomeAType:
    properties:
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        finish:
            expose: true
            access_type: public_method
            serialized_name: Finish
            accessor:
                getter: getFinish
                setter: setFinish
            type: string
        isStainResistant:
            expose: true
            access_type: public_method
            serialized_name: IsStainResistant
            accessor:
                getter: getIsStainResistant
                setter: setIsStainResistant
            type: boolean
        lightSourceType:
            expose: true
            access_type: public_method
            serialized_name: LightSourceType
            accessor:
                getter: getLightSourceType
                setter: setLightSourceType
            type: string
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        maximumCoverageArea:
            expose: true
            access_type: public_method
            serialized_name: MaximumCoverageArea
            accessor:
                getter: getMaximumCoverageArea
                setter: setMaximumCoverageArea
            type: App\Library\Amazon\Classes\AreaDimensionOptionalUnitType
        numberOfSets:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSets
            accessor:
                getter: getNumberOfSets
                setter: setNumberOfSets
            type: integer
        outputCapacity:
            expose: true
            access_type: public_method
            serialized_name: OutputCapacity
            accessor:
                getter: getOutputCapacity
                setter: setOutputCapacity
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        pieceCount:
            expose: true
            access_type: public_method
            serialized_name: PieceCount
            accessor:
                getter: getPieceCount
                setter: setPieceCount
            type: integer
        shape:
            expose: true
            access_type: public_method
            serialized_name: Shape
            accessor:
                getter: getShape
                setter: setShape
            type: string
        threadCount:
            expose: true
            access_type: public_method
            serialized_name: ThreadCount
            accessor:
                getter: getThreadCount
                setter: setThreadCount
            type: integer
        towelWeight:
            expose: true
            access_type: public_method
            serialized_name: TowelWeight
            accessor:
                getter: getTowelWeight
                setter: setTowelWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Home\ProductTypeAType\HomeAType\VariationDataAType
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\WattageDimensionOptionalUnitType
        innerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: InnerMaterialType
            accessor:
                getter: getInnerMaterialType
                setter: setInnerMaterialType
            type: string
        itemDiameter:
            expose: true
            access_type: public_method
            serialized_name: ItemDiameter
            accessor:
                getter: getItemDiameter
                setter: setItemDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        batteryCellComposition:
            expose: true
            access_type: public_method
            serialized_name: BatteryCellComposition
            accessor:
                getter: getBatteryCellComposition
                setter: setBatteryCellComposition
            type: string
        batteryFormFactor:
            expose: true
            access_type: public_method
            serialized_name: BatteryFormFactor
            accessor:
                getter: getBatteryFormFactor
                setter: setBatteryFormFactor
            type: string
        paintType:
            expose: true
            access_type: public_method
            serialized_name: PaintType
            accessor:
                getter: getPaintType
                setter: setPaintType
            type: string
        customerRestrictionType:
            expose: true
            access_type: public_method
            serialized_name: CustomerRestrictionType
            accessor:
                getter: getCustomerRestrictionType
                setter: setCustomerRestrictionType
            type: string
        occasionType:
            expose: true
            access_type: public_method
            serialized_name: OccasionType
            accessor:
                getter: getOccasionType
                setter: setOccasionType
            type: string
        efficiency:
            expose: true
            access_type: public_method
            serialized_name: Efficiency
            accessor:
                getter: getEfficiency
                setter: setEfficiency
            type: string
